Page MenuHomePhabricator

Update opt-in queue consumer to be able to create new donor records
Closed, ResolvedPublic

Event Timeline

Ejegg created this task.Mar 5 2019, 9:21 PM
Cstone claimed this task.Mar 8 2019, 5:21 PM
Cstone moved this task from Backlog to Doing on the Fundraising Sprint Ewoks Take Manhattan board.
mepps added a subscriber: mepps.Apr 24 2019, 3:45 PM

@Cstone where is your patch for this that we were looking at?

mepps added a comment.Apr 24 2019, 4:24 PM

Weird @Cstone looks like you correctly linked the task but it didn't show up here. Thanks!

XenoRyet claimed this task.Apr 25 2019, 4:32 PM
XenoRyet added a subscriber: Cstone.

Change 506837 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] WIP: Attempt at handling existing email, fix to opt-in new contacts

https://gerrit.wikimedia.org/r/506837

Change 508401 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[wikimedia/fundraising/crm@master] Opt-in Consumer handles contact ID and Hash

https://gerrit.wikimedia.org/r/508401

Change 509421 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/crm@master] WIP: Started test for email only but ran into some questions

https://gerrit.wikimedia.org/r/509421

Change 506837 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Create contact and opt-in from just email address. Log if we get an already existing email that is not tied to any contacts, but take no other action.

https://gerrit.wikimedia.org/r/506837

Change 508401 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Opt-in Consumer handles contact ID and Hash

https://gerrit.wikimedia.org/r/508401

XenoRyet closed this task as Resolved.May 28 2019, 7:55 PM